GWT 2.7.0

## com.google.gwt.place.shared
Interface PlaceHistoryHandler.Historian

All Known Implementing Classes:
  PlaceHistoryHandler.DefaultHistorian

Enclosing class:
  PlaceHistoryHandler

    public static interface PlaceHistoryHandler.Historian

Optional delegate in charge of History related events. Provides nice isolation for unit testing, and allows pre- or post-processing of tokens. Methods correspond to the like named methods on `History`.

Method Summary
`HandlerRegistration` | `addValueChangeHandler(ValueChangeHandler<java.lang.String> valueChangeHandler)` Adds a `ValueChangeEvent` handler to be informed of changes to the browser's history stack.
`java.lang.String` | `getToken()`
`void` | `newItem(java.lang.String token, boolean issueEvent)` Adds a new browser history entry.

Method Detail

### addValueChangeHandler

    HandlerRegistration addValueChangeHandler(ValueChangeHandler<java.lang.String> valueChangeHandler)

  Adds a `ValueChangeEvent` handler to be informed of changes to the browser's history stack.

  Parameters:
    `valueChangeHandler` - the handler
  Returns:
    the registration used to remove this value change handler

### getToken

    java.lang.String getToken()

  Returns:
    the current history token.

### newItem

    void newItem(java.lang.String token,
                 boolean issueEvent)

  Adds a new browser history entry. Calling this method will cause `ValueChangeHandler.onValueChange(com.google.gwt.event.logical.shared.ValueChangeEvent)` to be called as well.

GWT 2.7.0